summaryrefslogtreecommitdiff
path: root/script/clean-source-tree.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2010-12-23 19:40:08 +0100
committerStefan Metzmacher <metze@samba.org>2010-12-31 04:03:28 +0100
commitade566d6b814784c0807351d0389ff98181b4205 (patch)
tree8be9e348be852471bb065fd0cb3837b855e3d65f /script/clean-source-tree.sh
parentf1d15ea54c313e71fc032b2ed191bdecad868858 (diff)
downloadsamba-ade566d6b814784c0807351d0389ff98181b4205.tar.gz
samba-ade566d6b814784c0807351d0389ff98181b4205.tar.bz2
samba-ade566d6b814784c0807351d0389ff98181b4205.zip
script/autobuild.py: check that the source tree has no uncommitted changes after make
This makes sure the ABI files will be committed when the ABI changed. metze Autobuild-User: Stefan Metzmacher <metze@samba.org> Autobuild-Date: Fri Dec 31 04:03:28 CET 2010 on sn-devel-104
Diffstat (limited to 'script/clean-source-tree.sh')
-rwxr-xr-xscript/clean-source-tree.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/script/clean-source-tree.sh b/script/clean-source-tree.sh
new file mode 100755
index 0000000000..d0107f6cd7
--- /dev/null
+++ b/script/clean-source-tree.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+
+N=`git clean -n | wc -l`
+C=`git diff --stat HEAD | wc -l`
+
+test x"$N" != x"0" && {
+ echo "The tree has uncommitted changes!!! see stderr"
+ echo "The tree has uncommitted changes!!!" >&2
+
+ echo "git clean -n" >&2
+ git clean -n >&2
+
+ test x"$C" != x"0" && {
+ echo "git diff -p --stat HEAD" >&2
+ git diff -p --stat HEAD >&2
+ }
+
+ exit 1
+}
+
+test x"$C" != x"0" && {
+ echo "The tree has uncommitted changes!!! see stderr"
+ echo "The tree has uncommitted changes!!!" >&2
+
+ echo "git diff -p --stat HEAD" >&2
+ git diff -p --stat HEAD >&2
+
+ exit 1
+}
+
+echo "clean tree"
+exit 0